=== debian/control ===
Source: ros-humble-mavros-msgs
Section: misc
Priority: optional
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-geographic-msgs, ros-humble-geometry-msgs, ros-humble-rcl-interfaces, ros-humble-rosidl-default-generators, ros-humble-sensor-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: http://wiki.ros.org/mavros_msgs
Standards-Version: 3.9.2

Package: ros-humble-mavros-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-geographic-msgs, ros-humble-geometry-msgs, ros-humble-rcl-interfaces, ros-humble-rosidl-default-runtime, ros-humble-sensor-msgs, ros-humble-ros-workspace
Description: mavros_msgs defines messages for MAVROS.
