## ros-humble-mavros-msgs 2.9.0

=== debian/changelog ===
ros-humble-mavros-msgs (2.9.0-1bookworm) bookworm; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 09 Oct 2024 16:00:00 -0000

ros-humble-mavros-msgs (2.8.0-1bookworm) bookworm; urgency=high

  * regenerate all using cogall.sh
  * Merge branch 'master' into ros2
    * master:
    1.19.0
    update changelog
    gps_global_origin: remove LLA to ECEF conversion
  * 1.19.0
  * update changelog
  * removed prefix in enums in messages and changed to use existing functions for string and quaternion convert
  * Final touches
    Added functionality that was overlooked for camera tracking if supported, added copyright info, added custom exception thrown when mode enumerator is not understood
  * Added gimbal_control plugin
    Added all functionality to support a plugin to enable compatibility with MAVLink Gimbal Protocol v2
  * Contributors: Frederik Mazur Andersen, Mark-Beaty, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 06 Jun 2024 16:00:00 -0000

ros-humble-mavros-msgs (2.7.0-1bookworm) bookworm; urgency=high

  * re-generate with cogall.sh
  * Merge branch 'master' into ros2
    * master:
    1.18.0
    update changelog
    sys_status.cpp: improve timeout code
    sys_status.cpp: Add a SYS_STATUS message publisher
    [camera plugin] Fix image_index and capture_result not properly filled
    Fix missing semi-colon
    GPS_STATUS Plugin: Fill in available messages for ROS1 legacy
  * 1.18.0
  * update changelog
  * sys_status.cpp: Add a SYS_STATUS message publisher
  * cog checksum
  * remove event_time_boot_ms, fill stamp instead
  * handle events
  * Fix errata in GPSRAW.msg
  * Contributors: Dr.-Ing. Amilcar do Carmo Lucas, Seunghwan Jo, Vladimir Ermakov, victor

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 02 Mar 2024 16:00:00 -0000

ros-humble-mavros-msgs (2.6.0-1bookworm) bookworm; urgency=high

  * msgs: move generator code
  * cog: regenerate all
  * Merge branch 'master' into ros2
    * master:
    1.17.0
    update changelog
    cog: regenerate all
    Bugfix/update map origin with home position (#1892 <https://github.com/mavlink/mavros/issues/1892>)
    mavros: Remove extra ';'
    mavros_extras: Fix some init order warnings
    Suppress warnings from included headers
    1.16.0
    update changelog
    made it such that the gp_origin topic published latched.
    use hpp instead of deprecated .h pluginlib headers
  * 1.17.0
  * update changelog
  * cog: regenerate all
  * local takeoff and land topics (#1890 <https://github.com/mavlink/mavros/issues/1890>)
    * local takeoff and land topics
    * vector3 position type, rename to TOLLocal
    * remove auto include line
  * Merge pull request #1871 <https://github.com/mavlink/mavros/issues/1871> from Vladislavert/feature/optical_flow_msg
    Addition of New OpticalFlow.msg
  * Added geometry_msgs/Vector3 to OpticalFlow.msg
  * Added vectors to the message OpticalFlow.msg
  * Added message optical flow
  * 1.16.0
  * update changelog
  * Contributors: Ido Guzi, Vladimir Ermakov, Vladislavert

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 08 Sep 2023 16:00:00 -0000

ros-humble-mavros-msgs (2.5.0-1bookworm) bookworm; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 04 May 2023 16:00:00 -0000

ros-humble-mavros-msgs (2.4.0-1bookworm) bookworm; urgency=high

  * msgs: re-generate
  * Merge branch 'master' into ros2
    * master:
    1.15.0
    update changelog
    ci: update actions
    Implement debug float array handler
    mavros_extras: Fix a sequence point warning
    mavros_extras: Fix a comparison that shouldn't be bitwise
    mavros: Fix some warnings
    mavros_extras: Fix buggy check for lat/lon ignored
    libmavconn: fix MAVLink v1.0 output selection
  * 1.15.0
  * update changelog
  * Merge pull request #1811 <https://github.com/mavlink/mavros/issues/1811> from scoutdi/debug-float-array
    Implement debug float array handler
  * Implement debug float array handler
    Co-authored-by: Morten Fyhn Amundsen <mailto:morten.f.amundsen@scoutdi.com>
  * Contributors: Sverre Velten Rothmund, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 29 Dec 2022 16:00:00 -0000

ros-humble-mavros-msgs (2.3.0-1bookworm) bookworm; urgency=high

  * Merge branch 'master' into ros2
    * master:
    1.14.0
    update changelog
    scripts: waypoint and param files are text, not binary
    libmavconn: fix MAVLink v1.0 output selection
    plugins: add guided_target to accept offboard position targets
    add cmake module path for geographiclib on debian based systems
    use already installed FindGeographicLib.cmake
  * 1.14.0
  * update changelog
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 23 Sep 2022 16:00:00 -0000

ros-humble-mavros-msgs (2.2.0-1bookworm) bookworm; urgency=high

  * Merge branch 'master' into ros2
    * master:
    mount_control.cpp: detect MOUNT_ORIENTATION stale messages
    ESCTelemetryItem.msg: correct RPM units
    apm_config.yaml: add mount configuration
    sys_status.cpp fix free memory for values > 64KiB
    uncrustify cellular_status.cpp
    Add CellularStatus plugin and message
    *_config.yaml: document usage of multiple batteries diagnostics
    sys_status.cpp: fix compilation
    sys_status.cpp: support diagnostics on up-to 10 batteries
    sys_status.cpp: do not use harcoded constants
    sys_status.cpp: Timeout on MEMINFO and HWSTATUS mavlink messages and publish on the diagnostics
    sys_status.cpp: fix enabling of mem_diag and hwst_diag
    sys_status.cpp: Do not use battery1 voltage as voltage for all other batteries (bugfix).
    sys_status.cpp: ignore sys_status mavlink messages from gimbals
    mount_control.cpp: use mount_nh for params to keep similarities with other plugins set diag settings before add()
    sys_status.cpp: remove deprecated BATTERY2 mavlink message support
    Mount control plugin: add configurable diagnostics

